--
-- Data for Name: domains; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY domains (id, name, master, last_check, "type", notified_serial, account) FROM stdin;
3	artist-michael.de	\N	\N	MASTER	2005081501	\N
4	blumendeko-wiebach.de	\N	\N	MASTER	2005081701	\N
5	cblicht.de	\N	\N	MASTER	2006031901	\N
6	centrum-warenhaus-dresden.de	\N	\N	MASTER	2005090301	\N
7	dancewarriors.de	\N	\N	MASTER	2005081701	\N
9	douth-hiphop.de	\N	\N	MASTER	2005081701	\N
10	efs-sohland.de	\N	\N	MASTER	2005092001	\N
11	ferien-am-stausee.de	\N	\N	MASTER	2005081701	\N
12	frank-schmidt-online.de	\N	\N	MASTER	2006091901	\N
13	freie-musikschule-sohland.de	\N	\N	MASTER	2005081701	\N
14	hondaracingclub.de	\N	\N	MASTER	2005081701	\N
15	jesusgemeindesohland.de	\N	\N	MASTER	2006031901	\N
16	jugendwoche2006.de	\N	\N	MASTER	2006051701	\N
17	katja-schumann.de	\N	\N	MASTER	2006031901	\N
18	ortodontia.de	\N	\N	MASTER	2005101702	\N
19	ostmodern.org	\N	\N	MASTER	2006022001	\N
20	peschel-maler.de	\N	\N	MASTER	2006112800	\N
21	purity-now.de	\N	\N	MASTER	2006083001	\N
22	regionalverkehr.net	\N	\N	MASTER	2005121201	\N
23	rundkino-dresden.de	\N	\N	MASTER	2006112400	\N
24	scheune-sohland.de	\N	\N	MASTER	2006030102	\N
25	spare-beatz.de	\N	\N	MASTER	2005090501	\N
26	tntlive.de	\N	\N	MASTER	2006100401	\N
27	wagner-sound.de	\N	\N	MASTER	2005081701	\N
28	winproject.de	\N	\N	MASTER	2006100302	\N
29	zahnspange-schubert.de	\N	\N	MASTER	2005101702	\N
1	jan-dittberner.de	\N	\N	MASTER	2006031902	\N
8	dittberner.info	\N	\N	MASTER	0	\N
2	gnuviech-server.de	\N	\N	MASTER	2007010301	\N
\.


--
-- Data for Name: records; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY records (id, domain_id, name, "type", content, ttl, prio, change_date) FROM stdin;
1	1	jan-dittberner.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006031902 10000 7200 1209600 86400	86400	0	\N
2	1	jan-dittberner.de	NS	ns1.gnuviech-server.de	86400	0	\N
3	1	jan-dittberner.de	NS	ns10.schlundtech.de	86400	0	\N
4	1	jan-dittberner.de	A	81.169.155.87	86400	0	\N
5	1	jan-dittberner.de	MX	gnuviech.info	86400	5	\N
6	1	jan-dittberner.de	TXT	v=spf1 a mx	86400	0	\N
7	1	*.jan-dittberner.de	CNAME	www.jan-dittberner.de	86400	0	\N
8	1	www.jan-dittberner.de	A	81.169.155.87	86400	0	\N
10	2	gnuviech-server.de	NS	ns1.gnuviech-server.de	86400	0	\N
11	2	gnuviech-server.de	NS	ns10.schlundtech.de	86400	0	\N
12	2	gnuviech-server.de	A	81.169.155.87	86400	0	\N
13	2	gnuviech-server.de	MX	gnuviech.info	86400	5	\N
14	2	gnuviech-server.de	TXT	v=spf1 a mx	86400	0	\N
19	2	shell.gnuviech-server.de	A	88.198.45.203	86400	0	\N
15	2	ns1.gnuviech-server.de	A	88.198.120.250	86400	0	\N
21	3	artist-michael.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081501 86400 7200 1209600 86400	86400	0	\N
22	3	artist-michael.de	NS	ns1.gnuviech-server.de	86400	0	\N
23	3	artist-michael.de	NS	ns10.schlundtech.de	86400	0	\N
24	3	artist-michael.de	A	81.169.155.87	86400	0	\N
25	3	artist-michael.de	MX	gnuviech.info	86400	5	\N
26	3	artist-michael.de	TXT	v=spf1 a mx	86400	0	\N
27	3	www.artist-michael.de	A	81.169.155.87	86400	0	\N
28	3	*.artist-michael.de	CNAME	www.artist-michael.de	86400	0	\N
29	4	blumendeko-wiebach.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081701 86400 7200 1209600 86400	86400	0	\N
30	4	blumendeko-wiebach.de	NS	ns1.gnuviech-server.de	86400	0	\N
31	4	blumendeko-wiebach.de	NS	ns10.schlundtech.de	86400	0	\N
32	4	blumendeko-wiebach.de	A	81.169.155.87	86400	0	\N
33	4	blumendeko-wiebach.de	MX	gnuviech.info	86400	5	\N
34	4	blumendeko-wiebach.de	TXT	v=spf1 a mx	86400	0	\N
35	4	www.blumendeko-wiebach.de	A	81.169.155.87	86400	0	\N
36	4	*.blumendeko-wiebach.de	CNAME	www.blumendeko-wiebach.de	86400	0	\N
37	5	cblicht.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006031901 86400 7200 1209600 86400	86400	0	\N
38	5	cblicht.de	NS	ns1.gnuviech-server.de	86400	0	\N
39	5	cblicht.de	NS	ns10.schlundtech.de	86400	0	\N
40	5	cblicht.de	A	81.169.155.87	86400	0	\N
41	5	cblicht.de	MX	gnuviech.info	86400	5	\N
42	5	cblicht.de	TXT	v=spf1 a mx	86400	0	\N
43	5	www.cblicht.de	A	81.169.155.87	86400	0	\N
44	5	*.cblicht.de	CNAME	www.cblicht.de	86400	0	\N
45	6	centrum-warenhaus-dresden.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005090301 86400 7200 1209600 86400	86400	0	\N
46	6	centrum-warenhaus-dresden.de	NS	ns1.gnuviech-server.de	86400	0	\N
47	6	centrum-warenhaus-dresden.de	NS	ns10.schlundtech.de	86400	0	\N
48	6	centrum-warenhaus-dresden.de	A	81.169.155.87	86400	0	\N
49	6	centrum-warenhaus-dresden.de	MX	gnuviech.info	86400	5	\N
50	6	centrum-warenhaus-dresden.de	TXT	v=spf1 a mx	86400	0	\N
51	6	www.centrum-warenhaus-dresden.de	A	81.169.155.87	86400	0	\N
52	6	*.centrum-warenhaus-dresden.de	CNAME	www.centrum-warenhaus-dresden.de	86400	0	\N
53	7	dancewarriors.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081701 86400 7200 1209600 86400	86400	0	\N
54	7	dancewarriors.de	NS	ns1.gnuviech-server.de	86400	0	\N
55	7	dancewarriors.de	NS	ns10.schlundtech.de	86400	0	\N
56	7	dancewarriors.de	A	81.169.155.87	86400	0	\N
57	7	dancewarriors.de	MX	gnuviech.info	86400	5	\N
58	7	dancewarriors.de	TXT	v=spf1 a mx	86400	0	\N
59	7	www.dancewarriors.de	A	81.169.155.87	86400	0	\N
60	7	*.dancewarriors.de	CNAME	www.dancewarriors.de	86400	0	\N
70	9	douth-hiphop.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081701 86400 7200 1209600 86400	86400	0	\N
71	9	douth-hiphop.de	NS	ns1.gnuviech-server.de	86400	0	\N
72	9	douth-hiphop.de	NS	ns10.schlundtech.de	86400	0	\N
73	9	douth-hiphop.de	A	81.169.155.87	86400	0	\N
74	9	douth-hiphop.de	MX	gnuviech.info	86400	5	\N
75	9	douth-hiphop.de	TXT	v=spf1 a mx	86400	0	\N
76	9	www.douth-hiphop.de	A	81.169.155.87	86400	0	\N
77	9	*.douth-hiphop.de	CNAME	www.douth-hiphop.de	86400	0	\N
78	10	efs-sohland.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005092001 86400 7200 1209600 86400	86400	0	\N
79	10	efs-sohland.de	NS	ns1.gnuviech-server.de	86400	0	\N
80	10	efs-sohland.de	NS	ns10.schlundtech.de	86400	0	\N
81	10	efs-sohland.de	A	81.169.155.87	86400	0	\N
82	10	efs-sohland.de	MX	gnuviech.info	86400	5	\N
83	10	efs-sohland.de	TXT	v=spf1 a mx	86400	0	\N
84	10	www.efs-sohland.de	A	81.169.155.87	86400	0	\N
85	10	*.efs-sohland.de	CNAME	www.efs-sohland.de	86400	0	\N
86	11	ferien-am-stausee.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081701 86400 7200 1209600 86400	86400	0	\N
87	11	ferien-am-stausee.de	NS	ns1.gnuviech-server.de	86400	0	\N
88	11	ferien-am-stausee.de	NS	ns10.schlundtech.de	86400	0	\N
89	11	ferien-am-stausee.de	A	81.169.155.87	86400	0	\N
90	11	ferien-am-stausee.de	MX	gnuviech.info	86400	5	\N
91	11	ferien-am-stausee.de	TXT	v=spf1 a mx	86400	0	\N
92	11	www.ferien-am-stausee.de	A	81.169.155.87	86400	0	\N
93	11	*.ferien-am-stausee.de	CNAME	www.ferien-am-stausee.de	86400	0	\N
94	12	frank-schmidt-online.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006091901 86400 7200 1209600 86400	86400	0	\N
95	12	frank-schmidt-online.de	NS	ns1.gnuviech-server.de	86400	0	\N
96	12	frank-schmidt-online.de	NS	ns10.schlundtech.de	86400	0	\N
97	12	frank-schmidt-online.de	A	81.169.155.87	86400	0	\N
98	12	frank-schmidt-online.de	MX	gnuviech.info	86400	5	\N
99	12	frank-schmidt-online.de	TXT	v=spf1 a mx	86400	0	\N
100	12	www.frank-schmidt-online.de	A	81.169.155.87	86400	0	\N
101	12	*.frank-schmidt-online.de	CNAME	www.frank-schmidt-online.de	86400	0	\N
102	13	freie-musikschule-sohland.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081701 86400 7200 1209600 86400	86400	0	\N
103	13	freie-musikschule-sohland.de	NS	ns1.gnuviech-server.de	86400	0	\N
104	13	freie-musikschule-sohland.de	NS	ns10.schlundtech.de	86400	0	\N
105	13	freie-musikschule-sohland.de	A	81.169.155.87	86400	0	\N
106	13	freie-musikschule-sohland.de	MX	gnuviech.info	86400	5	\N
107	13	freie-musikschule-sohland.de	TXT	v=spf1 a mx	86400	0	\N
108	13	www.freie-musikschule-sohland.de	A	81.169.155.87	86400	0	\N
109	13	*.freie-musikschule-sohland.de	CNAME	www.freie-musikschule-sohland.de	86400	0	\N
110	14	hondaracingclub.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081701 86400 7200 1209600 86400	86400	0	\N
111	14	hondaracingclub.de	NS	ns1.gnuviech-server.de	86400	0	\N
112	14	hondaracingclub.de	NS	ns10.schlundtech.de	86400	0	\N
113	14	hondaracingclub.de	A	81.169.155.87	86400	0	\N
114	14	hondaracingclub.de	MX	gnuviech.info	86400	5	\N
115	14	hondaracingclub.de	TXT	v=spf1 a mx	86400	0	\N
116	14	www.hondaracingclub.de	A	81.169.155.87	86400	0	\N
117	14	*.hondaracingclub.de	CNAME	www.hondaracingclub.de	86400	0	\N
118	15	jesusgemeindesohland.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006031901 86400 7200 1209600 86400	86400	0	\N
119	15	jesusgemeindesohland.de	NS	ns1.gnuviech-server.de	86400	0	\N
120	15	jesusgemeindesohland.de	NS	ns10.schlundtech.de	86400	0	\N
121	15	jesusgemeindesohland.de	A	81.169.155.87	86400	0	\N
122	15	jesusgemeindesohland.de	MX	gnuviech.info	86400	5	\N
123	15	jesusgemeindesohland.de	TXT	v=spf1 a mx	86400	0	\N
124	15	www.jesusgemeindesohland.de	A	81.169.155.87	86400	0	\N
125	15	*.jesusgemeindesohland.de	CNAME	www.jesusgemeindesohland.de	86400	0	\N
126	16	jugendwoche2006.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006051701 86400 7200 1209600 86400	86400	0	\N
127	16	jugendwoche2006.de	NS	ns1.gnuviech-server.de	86400	0	\N
128	16	jugendwoche2006.de	NS	ns10.schlundtech.de	86400	0	\N
129	16	jugendwoche2006.de	A	81.169.155.87	86400	0	\N
130	16	jugendwoche2006.de	MX	gnuviech.info	86400	5	\N
131	16	jugendwoche2006.de	TXT	v=spf1 a mx	86400	0	\N
132	16	www.jugendwoche2006.de	A	81.169.155.87	86400	0	\N
133	16	*.jugendwoche2006.de	CNAME	www.jugendwoche2006.de	86400	0	\N
134	17	katja-schumann.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006031901 86400 7200 1209600 86400	86400	0	\N
135	17	katja-schumann.de	NS	ns1.gnuviech-server.de	86400	0	\N
136	17	katja-schumann.de	NS	ns10.schlundtech.de	86400	0	\N
137	17	katja-schumann.de	A	81.169.155.87	86400	0	\N
138	17	katja-schumann.de	MX	gnuviech.info	86400	5	\N
139	17	katja-schumann.de	TXT	v=spf1 a mx	86400	0	\N
140	17	www.katja-schumann.de	A	81.169.155.87	86400	0	\N
141	17	*.katja-schumann.de	CNAME	www.katja-schumann.de	86400	0	\N
142	18	ortodontia.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005101702 86400 7200 1209600 86400	86400	0	\N
143	18	ortodontia.de	NS	ns1.gnuviech-server.de	86400	0	\N
144	18	ortodontia.de	NS	ns10.schlundtech.de	86400	0	\N
145	18	ortodontia.de	A	81.169.155.87	86400	0	\N
146	18	ortodontia.de	MX	gnuviech.info	86400	5	\N
147	18	ortodontia.de	TXT	v=spf1 a mx	86400	0	\N
148	18	www.ortodontia.de	A	81.169.155.87	86400	0	\N
149	18	*.ortodontia.de	CNAME	www.ortodontia.de	86400	0	\N
150	19	ostmodern.org	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006022001 86400 7200 1209600 86400	86400	0	\N
151	19	ostmodern.org	NS	ns1.gnuviech-server.de	86400	0	\N
152	19	ostmodern.org	NS	ns10.schlundtech.de	86400	0	\N
153	19	ostmodern.org	A	81.169.155.87	86400	0	\N
154	19	ostmodern.org	MX	gnuviech.info	86400	5	\N
155	19	ostmodern.org	TXT	v=spf1 a mx	86400	0	\N
156	19	www.ostmodern.org	A	81.169.155.87	86400	0	\N
157	19	*.ostmodern.org	CNAME	www.ostmodern.org	86400	0	\N
158	20	peschel-maler.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006112800 86400 7200 1209600 86400	86400	0	\N
159	20	peschel-maler.de	NS	ns1.gnuviech-server.de	86400	0	\N
160	20	peschel-maler.de	NS	ns10.schlundtech.de	86400	0	\N
161	20	peschel-maler.de	A	81.169.155.87	86400	0	\N
162	20	peschel-maler.de	MX	gnuviech.info	86400	5	\N
163	20	peschel-maler.de	TXT	v=spf1 a mx	86400	0	\N
164	20	www.peschel-maler.de	A	81.169.155.87	86400	0	\N
165	20	*.peschel-maler.de	CNAME	www.peschel-maler.de	86400	0	\N
166	21	purity-now.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006083001 86400 7200 1209600 86400	86400	0	\N
167	21	purity-now.de	NS	ns1.gnuviech-server.de	86400	0	\N
168	21	purity-now.de	NS	ns10.schlundtech.de	86400	0	\N
169	21	purity-now.de	A	81.169.155.87	86400	0	\N
170	21	purity-now.de	MX	gnuviech.info	86400	5	\N
171	21	purity-now.de	TXT	v=spf1 a mx	86400	0	\N
172	21	www.purity-now.de	A	81.169.155.87	86400	0	\N
173	21	*.purity-now.de	CNAME	www.purity-now.de	86400	0	\N
174	22	regionalverkehr.net	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005121201 86400 7200 1209600 86400	86400	0	\N
175	22	regionalverkehr.net	NS	ns1.gnuviech-server.de	86400	0	\N
176	22	regionalverkehr.net	NS	ns10.schlundtech.de	86400	0	\N
177	22	regionalverkehr.net	A	81.169.155.87	86400	0	\N
178	22	regionalverkehr.net	MX	gnuviech.info	86400	5	\N
179	22	regionalverkehr.net	TXT	v=spf1 a mx	86400	0	\N
180	22	www.regionalverkehr.net	A	81.169.155.87	86400	0	\N
181	22	*.regionalverkehr.net	CNAME	www.regionalverkehr.net	86400	0	\N
182	23	rundkino-dresden.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006112400 86400 7200 1209600 86400	86400	0	\N
183	23	rundkino-dresden.de	NS	ns1.gnuviech-server.de	86400	0	\N
184	23	rundkino-dresden.de	NS	ns10.schlundtech.de	86400	0	\N
185	23	rundkino-dresden.de	A	81.169.155.87	86400	0	\N
186	23	rundkino-dresden.de	MX	gnuviech.info	86400	5	\N
187	23	rundkino-dresden.de	TXT	v=spf1 a mx	86400	0	\N
188	23	www.rundkino-dresden.de	A	81.169.155.87	86400	0	\N
189	23	*.rundkino-dresden.de	CNAME	www.rundkino-dresden.de	86400	0	\N
190	24	scheune-sohland.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006030102 86400 7200 1209600 86400	86400	0	\N
191	24	scheune-sohland.de	NS	ns1.gnuviech-server.de	86400	0	\N
192	24	scheune-sohland.de	NS	ns10.schlundtech.de	86400	0	\N
193	24	scheune-sohland.de	A	81.169.155.87	86400	0	\N
194	24	scheune-sohland.de	MX	mail.gnuviech.info	86400	5	\N
195	24	scheune-sohland.de	TXT	v=spf1 a mx	86400	0	\N
196	24	www.scheune-sohland.de	A	81.169.155.87	86400	0	\N
197	24	*.scheune-sohland.de	CNAME	www.scheune-sohland.de	86400	0	\N
198	25	spare-beatz.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005090501 86400 7200 1209600 86400	86400	0	\N
199	25	spare-beatz.de	NS	ns1.gnuviech-server.de	86400	0	\N
200	25	spare-beatz.de	NS	ns10.schlundtech.de	86400	0	\N
201	25	spare-beatz.de	A	81.169.155.87	86400	0	\N
202	25	spare-beatz.de	MX	gnuviech.info	86400	5	\N
203	25	spare-beatz.de	TXT	v=spf1 a mx	86400	0	\N
204	25	www.spare-beatz.de	A	81.169.155.87	86400	0	\N
205	25	*.spare-beatz.de	CNAME	www.spare-beatz.de	86400	0	\N
206	26	tntlive.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006100401 10000 7200 1209600 86400	86400	0	\N
207	26	tntlive.de	NS	ns1.gnuviech-server.de	86400	0	\N
208	26	tntlive.de	NS	ns10.schlundtech.de	86400	0	\N
209	26	tntlive.de	A	81.169.155.87	86400	0	\N
210	26	tntlive.de	MX	gnuviech.info	86400	5	\N
211	26	tntlive.de	TXT	v=spf1 a mx	86400	0	\N
212	26	*.tntlive.de	CNAME	www.tntlive.de	86400	0	\N
213	26	www.tntlive.de	A	81.169.155.87	86400	0	\N
214	27	wagner-sound.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005081701 86400 7200 1209600 86400	86400	0	\N
215	27	wagner-sound.de	NS	ns1.gnuviech-server.de	86400	0	\N
216	27	wagner-sound.de	NS	ns10.schlundtech.de	86400	0	\N
217	27	wagner-sound.de	A	81.169.155.87	86400	0	\N
218	27	wagner-sound.de	MX	gnuviech.info	86400	5	\N
219	27	wagner-sound.de	TXT	v=spf1 a mx	86400	0	\N
220	27	www.wagner-sound.de	A	81.169.155.87	86400	0	\N
221	27	*.wagner-sound.de	CNAME	www.wagner-sound.de	86400	0	\N
222	28	winproject.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2006100302 10000 7200 1209600 86400	86400	0	\N
223	28	winproject.de	NS	ns1.gnuviech-server.de	86400	0	\N
224	28	winproject.de	NS	ns10.schlundtech.de	86400	0	\N
225	28	winproject.de	A	81.169.155.87	86400	0	\N
226	28	winproject.de	MX	gnuviech.info	86400	5	\N
227	28	winproject.de	TXT	v=spf1 a mx	86400	0	\N
228	28	*.winproject.de	CNAME	www.winproject.de	86400	0	\N
229	28	www.winproject.de	A	81.169.155.87	86400	0	\N
230	29	zahnspange-schubert.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2005101702 86400 7200 1209600 86400	86400	0	\N
231	29	zahnspange-schubert.de	NS	ns1.gnuviech-server.de	86400	0	\N
232	29	zahnspange-schubert.de	NS	ns10.schlundtech.de	86400	0	\N
233	29	zahnspange-schubert.de	A	81.169.155.87	86400	0	\N
234	29	zahnspange-schubert.de	MX	gnuviech.info	86400	5	\N
235	29	zahnspange-schubert.de	TXT	v=spf1 a mx	86400	0	\N
236	29	www.zahnspange-schubert.de	A	81.169.155.87	86400	0	\N
237	29	*.zahnspange-schubert.de	CNAME	www.zahnspange-schubert.de	86400	0	\N
61	8	dittberner.info	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 0 10800 3600 604800 86400	86400	0	1166699628
69	8	www.dittberner.info	A	81.169.155.87	86400	0	1166699628
67	8	*.dittberner.info	CNAME	www.dittberner.info	86400	0	1166699628
66	8	dittberner.info	TXT	v=spf1 a mx -all	86400	0	1166699628
65	8	dittberner.info	MX	gnuviech.info	86400	5	1166699628
64	8	dittberner.info	A	81.169.155.87	86400	0	1166699628
63	8	dittberner.info	NS	ns10.schlundtech.de	86400	0	1166699628
62	8	dittberner.info	NS	ns1.gnuviech-server.de	86400	0	1166699628
17	2	hetzgnu.gnuviech-server.de	A	88.198.120.250	86400	0	2006122203
18	2	jabber.gnuviech-server.de	A	88.198.120.250	86400	0	2006122203
20	2	*.gnuviech-server.de	CNAME	gnuviech-server.de	86400	0	2007010301
16	2	www.gnuviech-server.de	A	88.198.120.250	86400	0	2007010301
9	2	gnuviech-server.de	SOA	ns1.gnuviech-server.de hostmaster.gnuviech.info 2007010301 10000 7200 1209600 86400	86400	0	2007010301
\.


--
-- Data for Name: supermasters; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY supermasters (ip, nameserver, account) FROM stdin;
\.


--
-- PostgreSQL database dump complete
--

